Bug Hunting Session
Bug 125983 - CRASH: Updating link to external files
Summary: CRASH: Updating link to external files
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.5
Keywords: bibisected, regression
Depends on:
Blocks: Files-Linked
  Show dependency treegraph
 
Reported: 2019-06-18 10:34 UTC by Xisco Faulí
Modified: 2019-06-25 07:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SwShellCursor::Hide()"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-06-18 10:34:24 UTC
Steps to reproduce:
1. Download attachment 137377 [details] ( Document 1 )
2. Download attachment 137378 [details] ( Document 2 )
3. Open document 1
4. Update links
5. Go to Edit - Link to External Files
6. Modify Sagres.odt link
7. Change File path to the current location of Document 2

-> Crash

Reproduced in

Versión: 6.2.4.2
Id. de compilación: 2412653d852ce75f65fbfa83fb7e7b669a126d64
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded
Comment 1 Dieter Praas 2019-06-18 11:31:24 UTC
I confirm it with

Version: 6.2.4.2 (x64)
Build-ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded


crashreport.libreoffice.org/stats/crash_details/a002b72c-3497-41f6-8d1d-193f519124bb
Comment 3 Commit Notification 2019-06-21 06:38:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8729c98bbe6843e875be3903c2e5a7783984ae48%5E%21

tdf#125983 CRASH: Updating link to external files

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-06-21 07:24:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/fa121a50d23cc4154741059a6916d45cdcbc0c59%5E%21

tdf#125983 CRASH: Updating link to external files

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-06-21 11:49:25 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 9712f5d2316fa469b92f2f8092925e2cd4e8dd5b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 6 Commit Notification 2019-06-21 12:37:13 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/5beee8974b0682602ad0bbe12ac1e33f7644958a%5E%21

tdf#125983 CRASH: Updating link to external files

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-06-24 09:39:22 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-5":

https://git.libreoffice.org/core/+/e7e3ceaae97688aa1894db0d2368237cf32e0346%5E%21

tdf#125983 CRASH: Updating link to external files

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.